Subject: Applying for business development executive job Arabic speaking
From: walid Ahmed <[email-masked]>
To: [email-masked]
Date: Wed, 20 May 2020 04:05:01 +0200

Hello
I'm looking for business development executive job Arabic speaking, I'm
native Arabic speaking from Egypt and I used to work in India before in
marketing and business development field, also I was responsible for all
Arab clients in the company I used to work for, this is my CV attached to
this email please check it
Many thanks and regards

Walid Ahmed
+201201605468